*** Variables ***
${LED_TIMEOUT}                  3
${LED}                          sysbus.gpiob.greenled3

*** Test Cases ***
blinky on nucleo_f042k6
    ${x}=                       Execute Command         include @${CURDIR}/blinky.resc
    Create Terminal Tester      sysbus.usart2    timeout=15
    Execute Command             emulation CreateLEDTester "led_tester" ${LED}

    Start Emulation
    Wait For Line On Uart       *** Booting Zephyr OS build 3723493f60a1 ***    pauseEmulation=true
    Wait For Line On Uart       LED state: (ON|OFF)      treatAsRegex=true            pauseEmulation=true
    Execute Command             led_tester AssertState true ${LED_TIMEOUT}
    Execute Command             led_tester AssertState false ${LED_TIMEOUT}